Animation in Angular Drop down button component

15 Dec 20242 minutes to read

The animationSettings property is used to customize the animation of the DropDownButton popup. The supported effects for DropDownButton are,

Effect Functionality
None Specifies the Dropdown popup transform with no animation effect.
SlideDown Specifies the Dropdown popup transform with slide down effect.
ZoomIn Specifies the Dropdown popup transform with zoom in effect.
FadeIn Specifies the Dropdown popup transform with fade in effect.

In this sample, three different DropDownButtons are rendered, each showcasing a unique animation effect for the dropdown menu:

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { DropDownButtonModule } from '@syncfusion/ej2-angular-splitbuttons';
import { enableRipple } from '@syncfusion/ej2-base';

import { Component } from '@angular/core';
import { ItemModel } from '@syncfusion/ej2-angular-splitbuttons';

@Component({
  imports: [DropDownButtonModule],
  standalone: true,
  selector: 'app-root',
  template: `
    <div class="e-section-control">
      <!-- To render DropDownButton with different animations. -->
      <button ejs-dropdownbutton [items]='items' [animationSettings]='{ effect: "SlideDown", duration: 800, easing: "ease" }' content='Slide Down'></button>
      <button ejs-dropdownbutton [items]='items' [animationSettings]='{ effect: "FadeIn", duration: 800, easing: "ease" }' content='Fade In'></button>
      <button ejs-dropdownbutton [items]='items' [animationSettings]='{ effect: "ZoomIn", duration: 800, easing: "ease" }' content='Zoom In'></button>
    </div>
  `
})
export class AppComponent {
  // Initialize action items.
  public items: ItemModel[] = [
    { text: 'Unread' },
    { text: 'Has Attachments' },
    { text: 'Categorized' },
    { separator: true },
    { text: 'Important' },
    { text: 'More Filters' }
  ];
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Animation in Vue Drop down button component.

14 Dec 20245 minutes to read

The animationSettings property is used to customize the animation of the DropDownButton popup. The supported effects for DropDownButton are,

Effect Functionality
None Specifies the Dropdown popup transform with no animation effect.
SlideDown Specifies the Dropdown popup transform with slide down effect.
ZoomIn Specifies the Dropdown popup transform with zoom in effect.
FadeIn Specifies the Dropdown popup transform with fade in effect.

In this sample, three different DropDownButtons are rendered, each showcasing a unique animation effect for the dropdown menu:

<template>
    <div>
        <ejs-dropdownbutton :items='items' :animationSettings="slideDownAnimation">Slide Down</ejs-dropdownbutton>
        <ejs-dropdownbutton :items='items' :animationSettings="fadeInAnimation">Fade In</ejs-dropdownbutton>
        <ejs-dropdownbutton :items='items' :animationSettings="zoomInAnimation">Zoom In</ejs-dropdownbutton>
    </div>
</template>

<script setup>
import { DropDownButtonComponent as EjsDropdownbutton } from "@syncfusion/ej2-vue-splitbuttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
const items = [
    { text: 'Unread' },
    { text: 'Has Attachments' },
    { text: 'Categorized' },
    { separator: true },
    { text: 'Important' },
    { text: 'More Filters' }
];

const slideDownAnimation = {
    effect: 'SlideDown',
    duration: 800,
    easing: 'ease'
};

const fadeInAnimation = {
    effect: 'FadeIn',
    duration: 800,
    easing: 'ease'
};

const zoomInAnimation = {
    effect: 'ZoomIn',
    duration: 800,
    easing: 'ease'
};
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
</style>
<template>
    <div>
        <ejs-dropdownbutton :items='items'
            :animationSettings="{ effect: 'SlideDown', duration: 800, easing: 'ease' }">Slide Down</ejs-dropdownbutton>
        <ejs-dropdownbutton :items='items' :animationSettings="{ effect: 'FadeIn', duration: 800, easing: 'ease' }">Fade
            In</ejs-dropdownbutton>
        <ejs-dropdownbutton :items='items' :animationSettings="{ effect: 'ZoomIn', duration: 800, easing: 'ease' }">Zoom
            In</ejs-dropdownbutton>
    </div>
</template>

<script>
import { DropDownButtonComponent } from "@syncfusion/ej2-vue-splitbuttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
    name: "App",
    components: {
        "ejs-dropdownbutton": DropDownButtonComponent
    },
    data() {
        return {
            items: [
                { text: 'Unread' },
                { text: 'Has Attachments' },
                { text: 'Categorized' },
                { separator: true },
                { text: 'Important' },
                { text: 'More Filters' }
            ]
        };
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css";
</style>

Animation in React Drop down button component

13 Dec 20245 minutes to read

The animationSettings property is used to customize the animation of the DropDownButton popup. The supported effects for DropDownButton are,

Effect Functionality
None Specifies the Dropdown popup transform with no animation effect.
SlideDown Specifies the Dropdown popup transform with slide down effect.
ZoomIn Specifies the Dropdown popup transform with zoom in effect.
FadeIn Specifies the Dropdown popup transform with fade in effect.

In this sample, three different DropDownButtons are rendered, each showcasing a unique animation effect for the dropdown menu:

import { enableRipple } from '@syncfusion/ej2-base';
import { DropDownButtonComponent, ItemModel } from '@syncfusion/ej2-react-splitbuttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// To render DropDownButton.
function App() {

    let items = [
        { text: 'Unread' },
        { text: 'Has Attachments' },
        { text: 'Categorized' },
        { separator: true },
        { text: 'Important' },
        { text: 'More Filters' }
    ];

    return (
        <div>
            <DropDownButtonComponent
                items={items}
                animationSettings=
            >
                Slide Down
            </DropDownButtonComponent>
            <DropDownButtonComponent
                items={items}
                animationSettings=
            >
                Fade In
            </DropDownButtonComponent>
            <DropDownButtonComponent
                items={items}
                animationSettings=
            >
                Zoom In
            </DropDownButtonComponent>
        </div>
    );
}

export default App;

ReactDom.render(<App />, document.getElementById('button'));
import { enableRipple } from '@syncfusion/ej2-base';
import { DropDownButtonComponent, ItemModel } from '@syncfusion/ej2-react-splitbuttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// To render DropDownButton.
function App() {

  let items: ItemModel[] = [
    { text: 'Unread' },
    { text: 'Has Attachments' },
    { text: 'Categorized' },
    { separator: true },
    { text: 'Important' },
    { text: 'More Filters' }
  ];

  return (
    <div>
      <DropDownButtonComponent
        items={items}
        animationSettings=
      >
        Slide Down
      </DropDownButtonComponent>
      <DropDownButtonComponent
        items={items}
        animationSettings=
      >
        Fade In
      </DropDownButtonComponent>
      <DropDownButtonComponent
        items={items}
        animationSettings=
      >
        Zoom In
      </DropDownButtonComponent>
    </div>
  );
}

export default App;

ReactDom.render(<App />, document.getElementById('button'));